<h1>Spezifikation: Diskussion und Entscheidungen</h1>
<blockquote>
Nachfolgend werden einige Probleme beschrieben, die im Rahmen der
Projektspezifikation diskutiert und entschieden wurden. Die
Entscheidungen sind oftmals subjektiv geprgt und unseren konkreten
Randbedingungen geschuldet. Eine bertragung auf analoge Situationen
ist deshalb problematisch.

<h2>Prozessoren</h2>
<h4>Prozessorplattform</h4>
Frage: Alpha oder Intel-basiert?
<p>
Argumente:
<table border cellpadding="4">
<tr><th>Pro Alpha<th>Pro x86</tr>
<tr><td>Hhere Leistung<td>eigene Tests mit reprsentativen Anwendungen
	zeigen einen nur moderaten Leistungsgewinn bei Alpha</tr>
<tr><td>&nbsp;<td>(wesentlich) geringere Kosten</tr>
</table>
<p>
Unsere Entscheidung: Intel-basiert

<p>
&nbsp;
<p>
<h4>Anzahl der Prozessoren pro Board</h4>
Frage: Single- oder Dualprozessorboard?
<p>
Argumente:
<table border cellpadding="4">
<tr><th>Pro Singleprozessor<th>Pro Dualprozessor</tr>
<tr><td>Boards bewhrt<td>Hhere Performance</tr>
<tr><td>kostengnstiger<td>&nbsp;</tr>
<tr><td>geplante Anwendungen knnen zweiten Prozessor kaum sinnvoll nutzen<td>&nbsp;</tr>
<tr><td>Gesamt-RAM steht dem Prozessor zur Verfgung<td>&nbsp;</tr>
<tr><td>Liefersituation etwas einfacher<td>&nbsp;</tr>
<tr><td>keine Dualboards fr Athlon<td>&nbsp;</tr>
</table>
<p>
Unsere Entscheidung: Singleprozessorboard

<p>
&nbsp;
<p>
<h4>Intel vs. AMD</h4>
Frage: welcher Prozessor(hersteller)?
<p>
Argumente:
<table border cellpadding="4">
<tr><th>Pro PentiumIII<th>Pro Athlon</tr>
<tr><td>geringerer Stromverbrauch und damit weniger Abwrme
    <td>kostengnstiger</tr>
<tr><td>&nbsp;<td>Lokalpatriotismus (AMD-Fab Dresden)</tr>
<!--<tr><td>deutliches Engagement der Firma fr unser Projekt
    <td>&nbsp;
-->
</table>
<p>
Unsere Entscheidung: Intel

<p>
&nbsp;
<p>
<h4>Prozessorgeschwindigkeit</h4>
Frage: welcher Pentium?
<p>
Unsere Entscheidung: der zum Zeitpunkt der Beschaffung verfgbare, 
etablierte, schnellste und "bezahlbare" Prozessor

<p>
&nbsp;
<p>
<h4>ECC</h4>
Problem: ein echter Bitfehler ist physikalisch mglich, kann mit
	einer gewissen Wahrscheinlichkeit auftreten,
	Speicher mit ECC (automatische Fehlerkorrektur) kann das
	behandeln<br>
Frage: lohnt sich das?<br>
<p>
Argumente:
<table border cellpadding="4">
<tr><th>Pro<th>Kontra</tr>
<tr><td>hhere Zuverlssigkeit des Speichers<td>hhere Kosten (200-300 DM pro GB)</tr>
</table>
<p>
Unsere Entscheidung: kein ECC

<p>
&nbsp;
<p>
<h4>RAM Bustakt</h4>
Frage: 100 MHz oder 133 MHz?
<p>
Argumente:
<table border cellpadding="4">
<tr><th>Pro 133 MHz<th>Kontra</tr>
<tr><td>hhere Geschwindigkeit<td>hhere Kosten (etwa 300 DM pro GB)</tr>
<tr><td>&nbsp;<td>spezielle Boards notwendig</tr>
<tr><td>&nbsp;<td>eigene Messungen ergeben wenig echten Performancevorteil
</table>
<p>
Unsere Entscheidung: 100 MHz Bustakt

<p>
&nbsp;
<p>
<h4>RAM-Gre</h4>
Frage: wieviel RAM pro Prozessor?
<p>
Unsere Entscheidung: 512 MB (diese Menge ist bezahlbar und fr die
geplanten Anwendungen akzeptabel

<p>
&nbsp;
<p>
<h2>Vernetzung</h2>
<h4>Myrinet/SCI vs. Gigabit-Ethernet</h4>
Frage: welche Hochleistungsnetzwerk ist fr die geplanten Anwendungen
geeignet und finanzierbar?
<p>
Argumente:
<table border cellpadding="4">
<tr><th>Pro Myrinet bzw. SCI<th>Pro Gigabit-Ethernet<th>Pro Fast-Ethernet</tr>
<tr><td>beste Latenz<td>&nbsp;<td>&nbsp;</tr>
<tr><td>gute Bandbreite<td>gute Bandbreite<td>&nbsp;</tr>
<tr><td>&nbsp;<td>Kosten fr Netzkarten akzeptabel<td>Kosten fr Netzkarten gering</tr>
<tr><td>&nbsp;<td>&nbsp;<td>Kosten fr Switches gering</tr>
<tr><td>&nbsp;<td>&nbsp;<td>Netzwerk insgesamt kostengnstig</tr>
<tr><td>&nbsp;<td>Standardisierte Technologie<td>Standardisierte Technologie</tr>
<tr><td>&nbsp;<td>viele Anbieter<td>viele Anbieter</tr>
<tr><td>&nbsp;<td>fr geplante Anwendungen geeignet<td>fr geplante Anwendungen geeignet</tr>
</table>
<p>
Unsere Entscheidung (in erster Linie aus Kostengrnden): Mischung aus Gigabit- und Fast-Ethernet
<br>
Die Variante, nur einen Teil des Clusters mit Myrinet oder SCI
auszustatten, wurde wegen der Forderung der Homogenitt verworfen.

<p>
&nbsp;
<p>
<h2>Mechanischer Aufbau</h2>
<h4>Knotengehuse</h4>
Frage: "Servernodes" (PC-Gehuse mit 1 Hheneinheit) oder Standardnodes?
<p>
Argumente:
<table border cellpadding="4">
<tr><th>Pro Servernode<th>Pro Desktop<th>Pro Minitower</tr>
<tr><td>kleinste Abmae, damit grte Packungsdichte und geringste
	Schrankmenge ntig<td>Standardformat<td>Standardformat</tr>
<tr><td>&nbsp;<td>geringere Abwrmeprobleme zu erwarten<td>geringere Abwrmeprobleme zu erwarten</tr>
<tr><td>&nbsp;<td>geringere Kosten zu erwarten<td>geringere Kosten zu erwarten</tr>
<tr><td>&nbsp;<td>&nbsp;<td>bei Wartung bester Zugriff</tr>
</table>
<p>
Unsere Entscheidung: je nach Preisangeboten Servernodes oder Minitower
<br>
Anmerkung: Die Servernode-Variante wurde nach Auswertung der Angebote
aus Kostengrnden verworfen.
</blockquote>
